import { SampleResult, Mode, Side } from '../model';
import { NormalizedFace } from '@tensorflow-models/blazeface';
export declare class Utils {
    constructor();
    static validateSample(data: NormalizedFace | any): boolean;
    static analyzeSamples(sample: NormalizedFace[]): SampleResult;
    static validateNeutralFace(data: NormalizedFace | any, sample: SampleResult): boolean;
    static validateTurn(data: NormalizedFace | any, sample: SampleResult, mode: Mode, side: Side): boolean;
    private static validateFaceProportionHeigth;
    private static getLandmarks;
    private static getBoundingBox;
    private static validateNeutralPosition;
    private static getProportion;
    static getImage(): HTMLImageElement;
}
